Fix kwin.upd not running if python 2 not installed
ClosedPublic

Authored by fvogt on Mon, Jan 27, 2:54 PM.

Details

Summary

If the listed interpreter does not exist, kconf_update skips the update.
The update script uses python3, so declare that properly.

Test Plan

Saw the error by accident, it's gone now.

Diff Detail

Repository
R108 KWin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
fvogt created this revision.Mon, Jan 27, 2:54 PM
Restricted Application added a project: KWin. · View Herald TranscriptMon, Jan 27, 2:54 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
fvogt requested review of this revision.Mon, Jan 27, 2:54 PM
zzag accepted this revision.Mon, Jan 27, 3:02 PM
This revision is now accepted and ready to land.Mon, Jan 27, 3:02 PM
This revision was automatically updated to reflect the committed changes.